ErrorDocument 400 http://www.mo-skm.info/
ErrorDocument 401 http://www.mo-skm.info/
ErrorDocument 403 http://www.mo-skm.info/
ErrorDocument 404 http://www.mo-skm.info/
ErrorDocument 500 http://www.mo-skm.info/
ErrorDocument 503 http://www.mo-skm.info/

ErrorDocument 400 /index.php?error=400
ErrorDocument 401 /index.php?error=401
ErrorDocument 403 /index.php?error=403
ErrorDocument 404 /index.php?error=404
ErrorDocument 500 /index.php?error=500
ErrorDocument 503 /index.php?error=503

RewriteEngine On
RewriteBase /

### Index
RewriteRule ^index.html                  index.php [NC]
### Ôàéëû
RewriteRule ^files-new.html$               index.php?name=Files&new [NC]
RewriteRule ^files-print-([0-9]*).html$            index.php?name=Files&op=printe&id=$1 [NC]
RewriteRule ^files-view-([0-9]*)-([0-9]*).html$      index.php?name=Files&op=view&id=$1&num=$2 [NC]
RewriteRule ^files-view-([0-9]*)-word-(.*).html$      index.php?name=Files&op=view&id=$1 [NC]
RewriteRule ^files-view-([0-9]*).html$            index.php?name=Files&op=view_file&lid=$1 [NC]
RewriteRule ^files-broken-([0-9]*).html$         index.php?name=Files&op=broken&lid=$1 [NC]
RewriteRule ^files-list-([0-9]*).html$            index.php?name=Files&op=liste&num=$1 [NC]
RewriteRule ^files-list.html$               index.php?name=Files&op=liste [NC]
RewriteRule ^files-add.html$               index.php?name=Files&op=add_file [NC]
RewriteRule ^files-best-([0-9]*).html$            index.php?name=Files&best=1&num=$1 [NC]
RewriteRule ^files-best.html$               index.php?name=Files&best=1 [NC]
RewriteRule ^files-hits-([0-9]*).html$            index.php?name=Files&hits=1&num=$1 [NC]
RewriteRule ^files-hits.html$               index.php?name=Files&hits [NC]
RewriteRule ^files-([0-9]*).html$               index.php?name=Files&num=$1 [NC]
RewriteRule ^files-cat-([0-9]*)-([0-9]*).html$      index.php?name=Files&op=cat&id=$1&pagenum=$2 [NC]
RewriteRule ^files-cat-([0-9]*).html$            index.php?name=Files&op=cat&id=$1 [NC]
RewriteRule ^files.html                  index.php?name=Files [NC]
### Íîâîñòè
RewriteRule ^news-topic-([0-9]*)-page-([0-9]*).html$            index.php?name=News&new_topic=$1&pagenum=$2 [NC]
RewriteRule ^news-topic-([0-9]*).html$               index.php?name=News&new_topic=$1 [NC]
RewriteRule ^news-friendsend-([0-9]*).html$            index.php?name=News&op=friendsend&sid=$1 [NC]
RewriteRule ^news-print-([0-9]*).html$         index.php?name=News&op=printpage&sid=$1 [NC]
RewriteRule ^news-view-([0-9]*)-([0-9]*).html$      index.php?name=News&op=article&sid=$1&num=$2 [NC]
RewriteRule ^news-view-([0-9]*)-word-(.*).html$      index.php?name=News&op=article&sid=$1&word=$2 [NC]
RewriteRule ^news-view-([0-9]*).html$         index.php?name=News&op=article&sid=$1 [NC]
RewriteRule ^news-list-([0-9]*).html$            index.php?name=News&op=liste&num=$1 [NC]
RewriteRule ^news-list.html$               index.php?name=News&op=liste [NC]
RewriteRule ^news-best-([0-9]*).html$         index.php?name=News&best=1&num=$1 [NC]
RewriteRule ^news-best.html$               index.php?name=News&best=1 [NC]
RewriteRule ^news-hits-([0-9]*).html$            index.php?name=News&hits=1&num=$1 [NC]
RewriteRule ^news-hits.html$               index.php?name=News&hits=1 [NC]
RewriteRule ^news-cat-([0-9]*)-([0-9]*).html$      index.php?name=News&cat=$1&num=$2 [NC]
RewriteRule ^news-cat-([0-9]*).html$            index.php?name=News&cat=$1 [NC]
RewriteRule ^news-([0-9]*).html$            index.php?name=News&num=$1 [NC]
RewriteRule ^news.html                  index.php?name=News [NC]

RewriteRule ^topics.html                  index.php?name=Topics [NC]
RewriteRule ^addnews.html                  index.php?name=Add_News [NC]
RewriteRule ^recommend.html                  index.php?name=Recommend [NC]
RewriteRule ^info.html                  index.php?name=Info [NC]
RewriteRule ^contact.html                  index.php?name=Contact [NC]

RewriteRule ^pages-cat-([0-9]*)-pagenum-([0-9]*).html$                  index.php?name=Pages&op=cat&id=$1&pagenum=$2 [NC]
RewriteRule ^pages-cat-([0-9]*).html$                  index.php?name=Pages&op=cat&id=$1 [NC]
RewriteRule ^pages-([0-9]*).html$                  index.php?name=Pages&op=page&pid=$1 [NC]
RewriteRule ^pages.html                  index.php?name=Pages [NC]

RewriteRule ^voting-pollresult-([0-9]*).html$      index.php?name=Voting&op=poll_result&poll_id=$1 [NC]
RewriteRule ^voting-pollshow-([0-9]*).html$      index.php?name=Voting&op=poll_show&poll_id=$1 [NC]
RewriteRule ^voting.html               index.php?name=Voting [NC]

RewriteRule ^search.html               index.php?name=Search [NC]
### SSD 1.0.1
RewriteRule ^deletepost-id-([0-9]*).html$               index.php?name=Forums&op=deletepost&id=$1 [NC]
RewriteRule ^editpost-id-([0-9]*).html$               index.php?name=Forums&op=editpost&id=$1 [NC]
RewriteRule ^theme-status-set-([0-9]*)-id-([0-9]*).html$               index.php?name=Forums&op=theme&action=status&set=$1&id=$2 [NC]
RewriteRule ^theme-move-id-([0-9]*).html$               index.php?name=Forums&op=theme&action=move&id=$1 [NC]
RewriteRule ^theme-open-id-([0-9]*).html$               index.php?name=Forums&op=theme&action=open&id=$1 [NC]
RewriteRule ^theme-close-id-([0-9]*).html$               index.php?name=Forums&op=theme&action=close&id=$1 [NC]
RewriteRule ^showtopic-topic-([0-9]*)-id-([0-9]*).html$               index.php?name=Forums&op=showtopic&cat=$1&id=$2[NC]
RewriteRule ^showtopic-([0-9]*)-page-([0-9]*).html$               index.php?name=Forums&op=showtopic&id=$1&pagenum=$2 [NC]
RewriteRule ^newtopic-([0-9]*).html$               index.php?name=Forums&op=newtopic&cid=$1 [NC]
RewriteRule ^showtopic-([0-9]*).html$               index.php?name=Forums&op=showtopic&id=$1 [NC]
RewriteRule ^showforum-([0-9]*).html$               index.php?name=Forums&op=showforum&id=$1 [NC]
RewriteRule ^showforum.html$               index.php?name=Forums&op=showforum [NC]
RewriteRule ^forum.html               index.php?name=Forums [NC]
### ×ÀÂÎ
RewriteRule ^faq-showcat-([0-9]*)-asc.html$               index.php?name=FAQ&op=showcat&id_cat=$1&howorder=asc [NC]
RewriteRule ^faq-showcat-([0-9]*)-desc.html$               index.php?name=FAQ&op=showcat&id_cat=$1&howorder=desc [NC]
RewriteRule ^faq-showcat-([0-9]*)-az.html$               index.php?name=FAQ&op=showcat&id_cat=$1&howorder=az [NC]
RewriteRule ^faq-showcat-([0-9]*)-za.html$               index.php?name=FAQ&op=showcat&id_cat=$1&howorder=za [NC]
RewriteRule ^faq-showcat-([0-9]*).html$               index.php?name=FAQ&op=showcat&id_cat=$1 [NC]
RewriteRule ^faq-send.html$               index.php?name=FAQ&op=faqsend [NC]
RewriteRule ^faq.html               index.php?name=FAQ [NC]

RewriteRule ^nicearticles-([0-9]*).html         index.php?name=nicearticles&LS4q=$1 [NC]
RewriteRule ^nicearticles.html                  index.php?name=nicearticles [NC]
